Bug 55020 - Failed to rebuild openssl-0.9.6b-10.src.rpm
Failed to rebuild openssl-0.9.6b-10.src.rpm
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: openssl (Show other bugs)
1.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-24 11:49 EDT by Fortepianissimo
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-09 17:33:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fortepianissimo 2001-10-24 11:49:58 EDT
Description of Problem:


Version-Release number of selected component (if applicable):
openssl-0.9.6b-10.src.rpm

How Reproducible:
Always

Steps to Reproduce:
1. rpm --rebuild openssl-0.9.6b-10.src.rpm

Actual Results:
...
making all in crypto/sha...
make[2]: Entering directory
`/usr/src/redhat/BUILD/openssl-engine-0.9.6b/crypto/sha'
gcc -I.. -I../../include -fPIC -DTHREADS -D_REENTRANT -DDSO_DLFCN
-DHAVE_DLFCN_H -DNO_IDEA -DNO_MDC2 -DNO_RC5 -DL_ENDIAN -DTERMIO -O6
-march=athlon -Wall -DSHA1_ASM -DMD5_ASM -DRMD160_ASM   -c -o sha_dgst.o
sha_dgst.c
gcc -I.. -I../../include -fPIC -DTHREADS -D_REENTRANT -DDSO_DLFCN
-DHAVE_DLFCN_H -DNO_IDEA -DNO_MDC2 -DNO_RC5 -DL_ENDIAN -DTERMIO -O6
-march=athlon -Wall -DSHA1_ASM -DMD5_ASM -DRMD160_ASM   -c -o sha1dgst.o
sha1dgst.c
gcc -I.. -I../../include -fPIC -DTHREADS -D_REENTRANT -DDSO_DLFCN
-DHAVE_DLFCN_H -DNO_IDEA -DNO_MDC2 -DNO_RC5 -DL_ENDIAN -DTERMIO -O6
-march=athlon -Wall -DSHA1_ASM -DMD5_ASM -DRMD160_ASM   -c -o sha_one.o
sha_one.c
gcc -I.. -I../../include -fPIC -DTHREADS -D_REENTRANT -DDSO_DLFCN
-DHAVE_DLFCN_H -DNO_IDEA -DNO_MDC2 -DNO_RC5 -DL_ENDIAN -DTERMIO -O6
-march=athlon -Wall -DSHA1_ASM -DMD5_ASM -DRMD160_ASM   -c -o sha1_one.o
sha1_one.c
make[2]: *** No rule to make target `asm/sha1-586.pl', needed by
`asm/sx86unix.cpp'.  Stop.
make[2]: Leaving directory
`/usr/src/redhat/BUILD/openssl-engine-0.9.6b/crypto/sha'
make[1]: *** [subdirs] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/openssl-engine-0.9.6b/crypto'
make: *** [sub_all] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.81224 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.81224 (%build)


Expected Results:


Additional Information:
Here is my /etc/rpmrc:
--- /etc/rpmrc starts ---
buildarchtranslate:athlon: athlon

optflags: athlon -O6 -march=athlon
optflags: i686 -O6 -march=i686
--- /etc/rpmrc ends ---

Here is the list of relevant component versions:

rpm-4.0.3-1.04
gcc-2.96-99
autoconf-2.13-14
automake-1.4p5-2
libtool-1.4-8
perl-5.6.0-17

kernel 2.4.10
Comment 1 Bill Nottingham 2003-01-09 17:33:37 EST
openssl currently builds for us, I'm going to assume that whatever issue here is
fixed in our current packages.

Note You need to log in before you can comment on or make changes to this bug.